package com.qmth.themis.business.bean.backend;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;

public class ExaminationMonitorCountBean {
	@ApiModelProperty(name = "在线人数")
	private Long onlineCount;
	@ApiModelProperty(name = "待考人数")
	private Long waitingCount;
	@ApiModelProperty(name = "考试中人数")
	private Long examingCount;
	@ApiModelProperty(name = "通讯故障人数")
	private Long exceptionCount;
	@ApiModelProperty(name = "预警人数")
	private Long warnCount;

	@ApiModelProperty(name = "机构在线考试人数")
	private List<Map<String, Object>> orgExamingCount;

	public Long getOnlineCount() {
		return onlineCount;
	}

	public void setOnlineCount(Long onlineCount) {
		this.onlineCount = onlineCount;
	}

	public Long getWaitingCount() {
		return waitingCount;
	}

	public void setWaitingCount(Long waitingCount) {
		this.waitingCount = waitingCount;
	}

	public Long getExamingCount() {
		return examingCount;
	}

	public void setExamingCount(Long examingCount) {
		this.examingCount = examingCount;
	}

	public Long getExceptionCount() {
		return exceptionCount;
	}

	public void setExceptionCount(Long exceptionCount) {
		this.exceptionCount = exceptionCount;
	}

	public Long getWarnCount() {
		return warnCount;
	}

	public void setWarnCount(Long warnCount) {
		this.warnCount = warnCount;
	}

	public List<Map<String, Object>> getOrgExamingCount() {
		return orgExamingCount;
	}

	public void setOrgExamingCount(List<Map<String, Object>> orgExamingCount) {
		this.orgExamingCount = orgExamingCount;
	}

}
